Bug 53128 - quotaoff sometimes hangs on shutdown
quotaoff sometimes hangs on shutdown
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-04 02:45 EDT by Pekka Pietikäinen
Modified: 2009-10-27 13:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-04 11:37:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pekka Pietikäinen 2001-09-04 02:45:52 EDT
Description of Problem:

When shutting the system down, the shutdown process sometimes gets
stuck when running quotaoff.

I'm still trying to figure out what triggers it, one thing
that _might_ be related is having cd's mounted (with
and without autofs), that's about the only "funny" thing
with the things I have mounted, I'm not even using quotas. 

In any case, it's pretty random (and running quotaoff -a when the
system is running always seems to work, at least now)

Version-Release number of selected component (if applicable):

3.01pre8 

How Reproducible:

shutdown, sometimes

Actual Results:

quotaoff gets stuck 

Expected Results:

it doesn't get stuck
Comment 1 Preston Brown 2001-09-04 09:16:19 EDT
are you actually sure it _is_ quota that is hanging, and not the thing that 
comes right after it in the shutdown process?

What comes right after it is some umount stuff for both loopback and local 
filesystems.  The random hangup then might have something to do with a bad 
umount/autofs interaction?
Comment 2 Pekka Pietikäinen 2001-09-04 09:23:00 EDT
Last time it happened I poked around with ctrl-scrolllock and quotaoff
was still running.  I'll add some debug echos in there just to be sure.

Comment 3 Phil Copeland 2001-12-20 10:53:00 EST
pp is this still an open issue?
ie can I close this or is there more work to be done here?

Cheers

Phil
=--=
Comment 4 Pekka Pietikäinen 2001-12-20 11:32:02 EST
Can't remember seeing the problem in the 7.2 release, so it's probably
been fixed by either quota-3.01pre9 or some other package. Close it and
if I see ever see it again I'll just reopen it.
Comment 5 Pekka Pietikäinen 2003-02-04 11:37:50 EST
Just clearing out old bugs, haven't seen this one in ages either...

Note You need to log in before you can comment on or make changes to this bug.